Bug 207340 - VersioningSystem should use CollocationQueryImplementation2
VersioningSystem should use CollocationQueryImplementation2
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
7.2
PC Solaris
: P2 (vote)
: 7.2
Assigned To: Tomas Stupka
issues@versioncontrol
: API_REVIEW_FAST
Depends on:
Blocks: 195124
  Show dependency treegraph
 
Reported: 2012-01-16 11:24 UTC by Alexander Simon
Modified: 2012-01-25 16:42 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed changes in versioning and versioning.core (36.75 KB, patch)
2012-01-16 18:00 UTC, Tomas Stupka
Details | Diff
proposed changes in versioning and versioning.core (37.80 KB, patch)
2012-01-18 20:32 UTC, Tomas Stupka
Details | Diff
proposed changes in versioning and versioning.core (36.34 KB, patch)
2012-01-23 14:56 UTC, Tomas Stupka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2012-01-16 11:24:16 UTC
Class org.netbeans.modules.versioning.core.spi.VersioningSystem uses depricated class org.netbeans.spi.queries.CollocationQueryImplementation.
Should be changed to CollocationQueryImplementation2.
Comment 1 Tomas Stupka 2012-01-16 12:37:07 UTC

*** This bug has been marked as a duplicate of bug 206932 ***
Comment 2 Vladimir Voskresensky 2012-01-16 13:10:32 UTC
Tomas, could you estimate when can we expect fix for this blocker of #195124? thanks
Comment 3 Tomas Stupka 2012-01-16 14:33:32 UTC
my mistake, this is about the CollocationQuery, not SharabilityQuery
Comment 4 Tomas Stupka 2012-01-16 18:00:30 UTC
Created attachment 114939 [details]
proposed changes in versioning and versioning.core
Comment 5 Tomas Stupka 2012-01-16 18:03:40 UTC
changed return type in o.n.m.versioning.core.spi.VersioningSystem.getCollocationQuery() to CollocationQueryImplementation2

please review
Comment 6 Jesse Glick 2012-01-17 17:08:52 UTC
Why does VcsCollocationQueryImplementation still implement CollocationQueryImplementation and register itself as a service provider of that? If possible, all usages of CollocationQueryImplementation should be replaced with CollocationQueryImplementation2 (other than in CollocationQuery itself, for compatibility).
Comment 7 Tomas Stupka 2012-01-18 20:32:22 UTC
Created attachment 115054 [details]
proposed changes in versioning and versioning.core

fixed VcsCollocationQueryImplementation from the previous patch where it was obviously wrong
Comment 8 Jesse Glick 2012-01-19 13:38:43 UTC
[JG01] Patch to Utils.java probably gratuitous.


[JG02] Careful with path.lastIndexOf("/") (or path.lastIndexOf('/') if you accept the hint to fix it); file:/tmp/somedir/ might not exist but file:/tmp/somedir is meaningless (the parent is file:/tmp/). The easiest way to get a URI parent is

new URI(child + '/').resolve("..")

which seems to fail only for file:/ which is I guess a special case.
Comment 9 Tomas Stupka 2012-01-23 14:56:13 UTC
> [JG01] Patch to Utils.java probably gratuitous.
indeed

> [JG02] Careful with path.lastIndexOf("/") (or path.lastIndexOf('/') if you accept the hint to fix it); file:/tmp/somedir/ might not exist but file:/tmp/somedir is meaningless (the parent is file:/tmp/). The easiest way to get a URI parent is
> new URI(child + '/').resolve("..")
suggestion applied 

will integrate tomorrow in case no other objections are raised
Comment 10 Tomas Stupka 2012-01-23 14:56:16 UTC
Created attachment 115159 [details]
proposed changes in versioning and versioning.core
Comment 11 Tomas Stupka 2012-01-24 13:27:29 UTC
fixed
http://hg.netbeans.org/core-main/rev/dc1548a9bf0b
Comment 12 Quality Engineering 2012-01-25 16:42:46 UTC
Integrated into 'main-golden', will be available in build *201201250600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dc1548a9bf0b
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #207340 - VersioningSystem should use CollocationQueryImplementation2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo